View Issue Details

IDProjectCategoryView StatusLast Update
0000204bareos-core[All Projects] batpublic2019-01-16 17:27
ReportertigerfootAssigned Toarogge 
PrioritylowSeverityminorReproducibilityalways
Status resolvedResolutionwon't fix 
PlatformWindows 7OSWindowsOS Version7
Product Version12.4.4 
Fixed in Version 
Summary0000204: Windows bat hangs if there is pending console output but works after it's stopped and restarted
DescriptionThe first time I run Bat it connects to the director and hangs. When I stop it and restart Bat it works. This happens every time when Bat has to display many messages in the console window.
This bug was already reported in the Bacula version. See http://bugs.bacula.org/view.php?id=1832
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

joergs

joergs

2013-07-12 10:57

administrator   ~0000519

bug is reproducible.
jan.reges

jan.reges

2014-01-08 13:19

reporter   ~0000783

Hi,

is there any progress with this bug? BAT is useless in 13.2.2.

Thank you.
maik

maik

2014-01-10 14:38

administrator   ~0000784

Daniel, please reproduce this problem on 13.2.2
daniel

daniel

2014-01-17 12:42

reporter   ~0000790

Last edited: 2014-01-17 13:38

View 2 revisions

I reproduced the problem on windows 7 64 bit. first startup crashed. the second startup after the first crash was successful.

BAT is not useless. The only thing is that openining a menue tab takes some second longer if there is sever with a lot of data behind.

tigerfoot

tigerfoot

2014-06-13 10:51

developer   ~0000906

Last edited: 2014-06-13 10:55

View 2 revisions

Ok I've a similar case (bat hanging forever on launch)
and if you close it you got a windows app crash report
 Nom d’événement de problème: APPCRASH
  Nom de l’application: bat.exe
  Version de l’application: 1.0.0.0
  Horodatage de l’application: 535fb621
  Nom du module par défaut: QtGui4.dll
  Version du module par défaut: 4.8.1.0
  Horodateur du module par défaut: 53466179
  Code de l’exception: c0000005
  Décalage de l’exception: 00000000003db7c4
  Version du système: 6.2.9200.2.0.0.272.7
  Identificateur de paramètres régionaux: 4108
  Information supplémentaire n° 1: afc5
  Information supplémentaire n° 2: afc556dcc1af9e7e03df23eb813d28c1
  Information supplémentaire n° 3: 98fa
  Information supplémentaire n° 4: 98fa78db2b56ac493a1e703eed6e6420

Windows 2012 Server / French edition
Bareos subscription 13.2.3 x64 installed

It's behave 100% of time the same. Run -> hang -> crash on close
bconsole on the same server work as expected ;-)

tigerfoot

tigerfoot

2014-06-13 10:52

developer  

bat_waiting_then_crash.jpeg (335,954 bytes)
tigerfoot

tigerfoot

2014-06-13 10:53

developer  

pstorz

pstorz

2014-09-05 17:07

administrator   ~0000971

Hello Bruno, we have tried to reproduce this problem but were not successful.

If you can reproduce this problem, we would like to do some debugging.

Thanks for your help,

Philipp
tigerfoot

tigerfoot

2014-09-11 14:39

developer   ~0000973

Last edited: 2014-09-11 14:50

View 3 revisions

The crash remains identical as what was reported
New series of screenshot and information added.

How could we try to debug this case ?

Bat start and if message are stored for console they are displayed, but none of the menu works. Then you close bat and the crash is there.

tigerfoot

tigerfoot

2014-09-11 14:40

developer  

bareos-bat-crash-01.jpg (188,420 bytes)
bareos-bat-crash-01.jpg (188,420 bytes)
tigerfoot

tigerfoot

2014-09-11 14:40

developer  

bareos-bat-crash-02.jpg (176,963 bytes)
bareos-bat-crash-02.jpg (176,963 bytes)
tigerfoot

tigerfoot

2014-09-11 14:40

developer  

bareos-bat-crash-03.jpg (150,922 bytes)
bareos-bat-crash-03.jpg (150,922 bytes)
tigerfoot

tigerfoot

2014-09-11 14:40

developer  

bareos-bat-crash-04.jpg (158,814 bytes)
bareos-bat-crash-04.jpg (158,814 bytes)
tigerfoot

tigerfoot

2014-09-11 14:41

developer  

bareos-bat-crash-05.jpg (175,666 bytes)
bareos-bat-crash-05.jpg (175,666 bytes)
tigerfoot

tigerfoot

2014-09-11 14:51

developer   ~0000974

The signature is still the same
Signature du problème :
  Nom d’événement de problème: APPCRASH
  Nom de l’application: bat.exe
  Version de l’application: 1.0.0.0
  Horodatage de l’application: 535fb621
  Nom du module par défaut: QtGui4.dll
  Version du module par défaut: 4.8.1.0
  Horodateur du module par défaut: 53466179
  Code de l’exception: c0000005
  Décalage de l’exception: 00000000003db7c4
  Version du système: 6.2.9200.2.0.0.272.7
  Identificateur de paramètres régionaux: 4108
  Information supplémentaire n° 1: afc5
  Information supplémentaire n° 2: afc556dcc1af9e7e03df23eb813d28c1
  Information supplémentaire n° 3: 98fa
  Information supplémentaire n° 4: 98fa78db2b56ac493a1e703eed6e6420

System locales is setup as Swiss-French.
tigerfoot

tigerfoot

2014-09-11 14:59

developer   ~0000975

I can reproduce same type of crashes on a Windows 2012 setup in english
with bareos 12.4.6 (also under maintenance)

Problem signature:
  Problem Event Name: APPCRASH
  Application Name: bat.exe
  Application Version: 1.0.0.0
  Application Timestamp: 522db037
  Fault Module Name: QtGui4.dll
  Fault Module Version: 4.8.1.0
  Fault Module Timestamp: 522cc5d1
  Exception Code: c0000005
  Exception Offset: 00000000003c11c6
  OS Version: 6.2.9200.2.0.0.272.7
  Locale ID: 2055
  Additional Information 1: afc5
  Additional Information 2: afc556dcc1af9e7e03df23eb813d28c1
  Additional Information 3: 87bd
  Additional Information 4: 87bdc48a0ece0057f7add38707b3bd28

Read our privacy statement online:
  http://go.microsoft.com/fwlink/?linkid=190175

If the online privacy statement is not available, please read our privacy statement offline:
  C:\Windows\system32\en-US\erofflps.txt

Hopefully on this server I've visual studio debugger express, so clicking on debug

I'm getting the two new screenshot)
Unhandled exception at 0x67ac11c6 in bat.exe: 0xC0000005: Access violation reading location 0x0000000000000278.

Break reveal
   0000000067AC11C1 mov r8d,dword ptr [rsp+2Ch]
>> 0000000067AC11C6 mov rcx,qword ptr [rax+278h]
   0000000067AC11CD mov edx,ebx
tigerfoot

tigerfoot

2014-09-11 15:00

developer  

bareos-bat-crash-06.jpg (148,029 bytes)
bareos-bat-crash-06.jpg (148,029 bytes)
tigerfoot

tigerfoot

2014-09-11 15:00

developer  

bareos-bat-crash-07.jpg (132,762 bytes)
bareos-bat-crash-07.jpg (132,762 bytes)
tigerfoot

tigerfoot

2014-09-11 15:00

developer  

bareos-bat-crash-08.jpg (215,834 bytes)
bareos-bat-crash-08.jpg (215,834 bytes)
tigerfoot

tigerfoot

2014-09-13 19:21

developer   ~0000980

Last precision, both of those windows are vitualized on a Win2012 core Hyper-V
irekpias

irekpias

2014-11-05 19:34

reporter   ~0001037

Please, add me to for this issue: Win 8.1 x86_64. BAT blocks at startup. It is sad, i can't use bat in windows env. Always i must login to Linux Server and launch linux version of BAT. Tested: BAT 14.2.1 and BAT 14.4.0

Besides this: Is BAT under any developing ? In change log i can see only info about version upgrade and so on from 2,3 years ...
AndiH

AndiH

2014-11-06 15:39

reporter   ~0001041

Me too...
That's why i only use BAT on Linux, on Windows the first start always lead to crash as we always have pending output.
RSmit

RSmit

2015-06-18 10:57

reporter   ~0001772

Last edited: 2015-06-18 11:11

View 2 revisions

I have the same problem...
On a virtual Windows 2012 R2, domain integrated server, BAT hangs and crashes
On a virtual standalone Windows 8.1 installation it works fine...
Both Bat version: 14.2.2 (64bit)

As this is a problem for almost 2 years now, is there any chance that it will be solved soon?

arogge

arogge

2019-01-16 17:27

developer   ~0003200

As bat is discontinued, this will not be fixed anymore.

Issue History

Date Modified Username Field Change
2013-07-08 09:21 guenterg New Issue
2013-07-12 09:59 mvwieringen Assigned To => mvwieringen
2013-07-12 09:59 mvwieringen Status new => acknowledged
2013-07-12 10:00 mvwieringen Assigned To mvwieringen =>
2013-07-12 10:57 joergs Note Added: 0000519
2013-07-12 10:57 joergs Status acknowledged => confirmed
2014-01-08 13:19 jan.reges Note Added: 0000783
2014-01-10 14:37 maik Assigned To => daniel
2014-01-10 14:37 maik Status confirmed => assigned
2014-01-10 14:38 maik Note Added: 0000784
2014-01-17 12:42 daniel Note Added: 0000790
2014-01-17 13:38 daniel Note Edited: 0000790 View Revisions
2014-06-13 10:51 tigerfoot Note Added: 0000906
2014-06-13 10:52 tigerfoot File Added: bat_waiting_then_crash.jpeg
2014-06-13 10:53 tigerfoot File Added: bat_waiting_then_crash1.jpeg
2014-06-13 10:55 tigerfoot Note Edited: 0000906 View Revisions
2014-09-05 17:06 pstorz Reporter guenterg => tigerfoot
2014-09-05 17:07 pstorz Note Added: 0000971
2014-09-05 17:07 pstorz Assigned To daniel => pstorz
2014-09-05 17:09 pstorz Status assigned => feedback
2014-09-11 14:39 tigerfoot Note Added: 0000973
2014-09-11 14:39 tigerfoot Status feedback => assigned
2014-09-11 14:40 tigerfoot File Added: bareos-bat-crash-01.jpg
2014-09-11 14:40 tigerfoot File Added: bareos-bat-crash-02.jpg
2014-09-11 14:40 tigerfoot File Added: bareos-bat-crash-03.jpg
2014-09-11 14:40 tigerfoot File Added: bareos-bat-crash-04.jpg
2014-09-11 14:41 tigerfoot File Added: bareos-bat-crash-05.jpg
2014-09-11 14:42 tigerfoot Note Edited: 0000973 View Revisions
2014-09-11 14:50 tigerfoot Note Edited: 0000973 View Revisions
2014-09-11 14:51 tigerfoot Note Added: 0000974
2014-09-11 14:59 tigerfoot Note Added: 0000975
2014-09-11 15:00 tigerfoot File Added: bareos-bat-crash-06.jpg
2014-09-11 15:00 tigerfoot File Added: bareos-bat-crash-07.jpg
2014-09-11 15:00 tigerfoot File Added: bareos-bat-crash-08.jpg
2014-09-13 19:21 tigerfoot Note Added: 0000980
2014-11-05 19:34 irekpias Note Added: 0001037
2014-11-06 15:39 AndiH Note Added: 0001041
2015-03-31 14:42 pstorz Assigned To pstorz =>
2015-03-31 14:42 pstorz Status assigned => confirmed
2015-06-18 10:57 RSmit Note Added: 0001772
2015-06-18 11:11 RSmit Note Edited: 0001772 View Revisions
2019-01-16 17:27 arogge Note Added: 0003200
2019-01-16 17:27 arogge Status confirmed => resolved
2019-01-16 17:27 arogge Resolution open => won't fix
2019-01-16 17:27 arogge Assigned To => arogge